org.apache.poi.hemf.record.emfplus

## Enum HemfPlusPen.EmfPlusLineCapType

- java.lang.Object
- - java.lang.Enum<HemfPlusPen.EmfPlusLineCapType>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusPen.EmfPlusLineCapType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusPen.EmfPlusLineCapType>
  Enclosing class:
    HemfPlusPen

      public static enum HemfPlusPen.EmfPlusLineCapType
      extends java.lang.Enum<HemfPlusPen.EmfPlusLineCapType>

  The LineCapType enumeration defines types of line caps to use at the ends of lines that are drawn with graphics pens.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANCHOR_MASK` Mask used to check whether a line cap is an anchor cap.
    `ARROW_ANCHOR` Specifies that the line end is anchored with an arrowhead shape.
    `CUSTOM` Specifies a custom line cap.
    `DIAMOND_ANCHOR` Specifies that the line end is anchored with a diamond-shaped line cap, which is a square turned at 45 degrees.
    `FLAT` Specifies a squared-off line cap.
    `NO_ANCHOR` Specifies that the line end is not anchored.
    `ROUND` Specifies a circular line cap.
    `ROUND_ANCHOR` Specifies that the line end is anchored with a circular line cap.
    `SQUARE` Specifies a square line cap.
    `SQUARE_ANCHOR` Specifies that the line end is anchored with a square line cap.
    `TRIANGLE` Specifies a triangular line cap.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusPen.EmfPlusLineCapType` | `valueOf(int id)`
    `static HemfPlusPen.EmfPlusLineCapType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusPen.EmfPlusLineCapType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLAT

          public static final HemfPlusPen.EmfPlusLineCapType FLAT

      Specifies a squared-off line cap. The end of the line MUST be the last point in the line.

    - #### SQUARE

          public static final HemfPlusPen.EmfPlusLineCapType SQUARE

      Specifies a square line cap. The center of the square MUST be located at the last point in the line. The width of the square is the line width.

    - #### ROUND

          public static final HemfPlusPen.EmfPlusLineCapType ROUND

      Specifies a circular line cap. The center of the circle MUST be located at the last point in the line. The diameter of the circle is the line width.

    - #### TRIANGLE

          public static final HemfPlusPen.EmfPlusLineCapType TRIANGLE

      Specifies a triangular line cap. The base of the triangle MUST be located at the last point in the line. The base of the triangle is the line width.

    - #### NO_ANCHOR

          public static final HemfPlusPen.EmfPlusLineCapType NO_ANCHOR

      Specifies that the line end is not anchored.

    - #### SQUARE_ANCHOR

          public static final HemfPlusPen.EmfPlusLineCapType SQUARE_ANCHOR

      Specifies that the line end is anchored with a square line cap. The center of the square MUST be located at the last point in the line. The height and width of the square are the line width.

    - #### ROUND_ANCHOR

          public static final HemfPlusPen.EmfPlusLineCapType ROUND_ANCHOR

      Specifies that the line end is anchored with a circular line cap. The center of the circle MUST be located at the last point in the line. The circle SHOULD be wider than the line.

    - #### DIAMOND_ANCHOR

          public static final HemfPlusPen.EmfPlusLineCapType DIAMOND_ANCHOR

      Specifies that the line end is anchored with a diamond-shaped line cap, which is a square turned at 45 degrees. The center of the diamond MUST be located at the last point in the line. The diamond SHOULD be wider than the line.

    - #### ARROW_ANCHOR

          public static final HemfPlusPen.EmfPlusLineCapType ARROW_ANCHOR

      Specifies that the line end is anchored with an arrowhead shape. The arrowhead point MUST be located at the last point in the line. The arrowhead SHOULD be wider than the line.

    - #### ANCHOR_MASK

          public static final HemfPlusPen.EmfPlusLineCapType ANCHOR_MASK

      Mask used to check whether a line cap is an anchor cap.

    - #### CUSTOM

          public static final HemfPlusPen.EmfPlusLineCapType CUSTOM

      Specifies a custom line cap.

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfPlusPen.EmfPlusLineCapType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusPen.EmfPlusLineCapType c : HemfPlusPen.EmfPlusLineCapType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusPen.EmfPlusLineCapType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusPen.EmfPlusLineCapType valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.